org.eclipse.emf.cdo.transaction

## Interface CDOStaleReferenceCleaner

- All Known Implementing Classes:
    CDOStaleReferenceCleaner.Default

      public interface CDOStaleReferenceCleaner

  Interface to externalize the cleaning of stale references created on invalidation.
  Since:
    4.4
  Author:
    Esteban Dugueperoux

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CDOStaleReferenceCleaner.Default` A default `CDOStaleReferenceCleaner` that can be used on invalidation.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOStaleReferenceCleaner` | `DEFAULT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanStaleReferences(java.util.Collection<Pair<EStructuralFeature.Setting,EObject>> objectsToBeRemoved)` Clean the stale references created on invalidation.

- - ### Field Detail

    - #### DEFAULT

          static final CDOStaleReferenceCleaner DEFAULT

  - ### Method Detail

    - #### cleanStaleReferences

          void cleanStaleReferences(java.util.Collection<Pair<EStructuralFeature.Setting,EObject>> objectsToBeRemoved)

      Clean the stale references created on invalidation.
      Parameters:
        `objectsToBeRemoved` - `Collection` of `Pair` from `EStructuralFeature.Setting` to detached objects

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html